1. smf

    smf GBAtemp Psycho!
    Member

    Joined:
    Feb 23, 2009
    Messages:
    3,759
    Country:
    United Kingdom
    That isn't necessarily a problem.

    They know an issue exists and they have a financial incentive to fix it. So they could hire more people to do security audits of the code and up the bounty for disclosure.

    Exploits are often released because they have been fixed, so it seems to happen.
     
  2. TheCyberQuake

    TheCyberQuake Certified Geek
    Member

    Joined:
    Dec 2, 2014
    Messages:
    5,011
    Country:
    United States
    Smhax only existed in one firmware and was patched before even being publicly mentioned any details about it. Nintendo can fix these exploits without being publicly disclosed, the real question is how long will it take.
     
    Zulnoth likes this.
  3. SciresM

    SciresM Developer
    Developer

    Joined:
    Mar 21, 2014
    Messages:
    821
    Country:
    United States
    smhax works on 1.0.0-3.0.0.

    I assume somebody reported it via HackerOne, to be honest.
     
    uyjulian, Alex1234, Nezztor and 4 others like this.
  4. YTElias

    YTElias GBAtemp Advanced Fan
    Member

    Joined:
    Aug 23, 2017
    Messages:
    981
    Country:
    Germany
    How to Block Updates
    never turn your switch on till something is released
     
    Jay Griggs likes this.
  5. SoslanVanWieren

    Banned

    Joined:
    Feb 6, 2017
    Messages:
    1,809
    Country:
    Australia
    will it come out before pokemon switch?
     
  6. Uumas

    Uumas GBAtemp Addict
    Member

    Joined:
    Sep 17, 2016
    Messages:
    2,004
    Country:
    Finland
    Maybe
     
  7. pspklp

    pspklp Member
    Newcomer

    Joined:
    Jan 12, 2015
    Messages:
    21
    Country:

    Hey SciresM, when can i use smhax and use pegaswitch on my 2.0 NS? please if u can ask me. Ill be happy, im waiting since august 2017

    Thank u so much for ur work.
     
  8. loler55

    loler55 GBAtemp Advanced Fan
    Member

    Joined:
    Jan 4, 2012
    Messages:
    975
    Country:
    Gambia, The

    ninty have no idea whats the issue

    yeah they can patch it with luck
    nintendo also can not see clairvoyance
    it gives more than one way to hack the console..

    im on 3.01 and i stay on 3.01.....

    we have to wait of that modchip or we need luck
     
    Last edited: Feb 25, 2018
  9. minooch_e

    minooch_e Member
    Newcomer

    Joined:
    Apr 28, 2017
    Messages:
    33
    Country:
    United States
    Don't ask for an ETA..
     
    mendezagus, Lacius and Natehaxx like this.
  10. Lacius

    Lacius GBAtemp Legend
    Member

    Joined:
    May 11, 2008
    Messages:
    12,036
    Country:
    United States
    The short and truest answer is it will be ready when it's ready.

    Realistically, on 2.0, we're probably talking about a matter of months. That's the best anybody can give you.
     
    theMille and TotalInsanity4 like this.
  11. alantgw

    alantgw GBAtemp Regular
    Member

    Joined:
    Dec 1, 2014
    Messages:
    139
    Country:
    Hong Kong
    Sorry for one quite dumb question here.
    If I got NS with version 2.x, is it fine for I to stay at that 2.x version to wait for Atmosphere-NX?
    Or do I need to update to version 3.0.0 instead, since I have been seeing people asking which cartridge has built-in FW3.0.0 update?
     
  12. Lacius

    Lacius GBAtemp Legend
    Member

    Joined:
    May 11, 2008
    Messages:
    12,036
    Country:
    United States
    It's fine staying on 2.X, but that means you won't be able to use the current userland homebrew.
     
    alantgw likes this.
  13. Hayato213

    Hayato213 GBAtemp Guru
    Member

    Joined:
    Dec 26, 2015
    Messages:
    6,757
    Country:
    United States
    Hey SciresM,

    is Japanese version of Puyo Puyo Tetris required for Atmosphere?
     
  14. TheCyberQuake

    TheCyberQuake Certified Geek
    Member

    Joined:
    Dec 2, 2014
    Messages:
    5,011
    Country:
    United States
    I believe it is only a requirement for those on 1.0.0. Everything else will have browser access for loading it
     
  15. Hayato213

    Hayato213 GBAtemp Guru
    Member

    Joined:
    Dec 26, 2015
    Messages:
    6,757
    Country:
    United States
    I see, I am on 1.0.0, so I guess I need to get a copy of it.
     
  16. TheCyberQuake

    TheCyberQuake Certified Geek
    Member

    Joined:
    Dec 2, 2014
    Messages:
    5,011
    Country:
    United States
    I would wait for confirmation from @SciresM. I could be wrong or he could know something we don't.
     
  17. Hayato213

    Hayato213 GBAtemp Guru
    Member

    Joined:
    Dec 26, 2015
    Messages:
    6,757
    Country:
    United States
    Yea I will wait.
     
  18. SciresM

    SciresM Developer
    Developer

    Joined:
    Mar 21, 2014
    Messages:
    821
    Country:
    United States
    If you'll want to launch Atmosphere without some form of coldboothax and are on 1.0.0, yes you'll need a Japanese copy of Puyo Puyo.
     
    Slimmmmmm, Nezztor and Lacius like this.
  19. Hayato213

    Hayato213 GBAtemp Guru
    Member

    Joined:
    Dec 26, 2015
    Messages:
    6,757
    Country:
    United States
    Okay thanks.
     
  20. Fadi5555

    Fadi5555 GBAtemp Regular
    Member

    Joined:
    Jan 3, 2018
    Messages:
    266
    Country:
    United States
    What about 3.0.0?
    And when we can see it?
    Thanks a lot.
     
Draft saved Draft deleted
Loading...

Hide similar threads Similar threads with keywords - development, Atmosphere, Firmware